#!/bin/bash

function die() {
	echo "$1" 1>&2;
	exit;
}

function msg() {
	echo "$1" 1>&2;
}

REPOLIST='fredes.reps'
#REPOLIST='fredes.todo'

#for i in $(cat fredes.reps); do 
for i in $(cat $REPOLIST); do 
	msg "DOING TARGET $(basename $i)";
	echo "Doing $(basename $i)" > .fred-install.state;
	cd $(basename $i);
	msg "CONFIG"

	if test -f myconfig; then
		 eval `cat myconfig`
	else
		./autogen.sh --prefix=/usr/local
	fi
	
	test "$?" == '0' && msg "OK" || die "FAILED ret($?)"

	msg "CLEAN MAKE"
	make clean
	make

	if [ "$?" == 0 ]; then 
		msg "########################################### WE DONE HERE ##########################################";
	else
		die "========================== BULID FAILED ret($?) in repo: `basename $i` ============================";
	fi

	msg "INSTALL"
	make install 
 
	cd ..;
done

